petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSAdjointSetUp

Sets up the internal data structures for the later use of an adjoint solver

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointSetUp(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### Keywords

TS, timestep, setup

### See Also

TSCreate(), TSAdjointStep(), TSSetCostGradients()

### Level

advanced

### Location

src/ts/interface/sensitivity/tssen.c

### Implementations

TSAdjointSetUp_RK in src/ts/impls/explicit/rk/rk.c
TSAdjointSetUp_Theta in src/ts/impls/implicit/theta/theta.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages